<?php 
header("Content-type: text/javascript");
header("Cache-Control: no-store, no-cache, must-revalidate, max-age=0");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

if (session_status() == PHP_SESSION_NONE) {
    require_once(__DIR__ . "/../../classes/Sistema.php");
	set_sistema(Sistema::INDICACOES);
	$sistema = new Sistema();
}
?>
function valida_cpf(cpf){var numeros, digitos, soma, i, resultado, digitos_iguais;digitos_iguais = 1;cpf = cpf.replace('.', '');cpf = cpf.replace('.', '');cpf = cpf.replace('-', '');if (cpf.length < 11)return false;for (i = 0; i < cpf.length - 1; i++)if (cpf.charAt(i) != cpf.charAt(i + 1)){digitos_iguais = 0;break;}if (!digitos_iguais){numeros = cpf.substring(0,9);digitos = cpf.substring(9);soma = 0;for (i = 10; i > 1; i--)soma += numeros.charAt(10 - i) * i;resultado = soma % 11 < 2 ? 0 : 11 - soma % 11;if (resultado != digitos.charAt(0))return false;numeros = cpf.substring(0,10);soma = 0;for (i = 11; i > 1; i--)soma += numeros.charAt(11 - i) * i;resultado = soma % 11 < 2 ? 0 : 11 - soma % 11;if (resultado != digitos.charAt(1))return false;return true;}else return false;}

<?php if ($sistema->indicacoes->permissao_cnpj_indicador == "1") {?>
function valida_cnpj(a){if(a=a.replace(/[^\d]+/g,""),""==a)return!1;if(14!=a.length)return!1;if("00000000000000"==a||"11111111111111"==a||"22222222222222"==a||"33333333333333"==a||"44444444444444"==a||"55555555555555"==a||"66666666666666"==a||"77777777777777"==a||"88888888888888"==a||"99999999999999"==a)return!1;for(tamanho=a.length-2,numeros=a.substring(0,tamanho),digitos=a.substring(tamanho),soma=0,pos=tamanho-7,i=tamanho;i>=1;i--)soma+=numeros.charAt(tamanho-i)*pos--,pos<2&&(pos=9);if(resultado=soma%11<2?0:11-soma%11,resultado!=digitos.charAt(0))return!1;for(tamanho+=1,numeros=a.substring(0,tamanho),soma=0,pos=tamanho-7,i=tamanho;i>=1;i--)soma+=numeros.charAt(tamanho-i)*pos--,pos<2&&(pos=9);return resultado=soma%11<2?0:11-soma%11,resultado==digitos.charAt(1)}
<?php } ?>

function validarForm(){
	var cpf = $('#usuario').val().replace(/[^\d]+/g,""); 
	
	if (cpf == "") {
		$('#cpf').focus();
		toastr.clear(); toastr.error('O campo CPF/CNPJ está vazio!');
		return false;
	};
	
	if(cpf.length <= 11 & !valida_cpf(cpf)){
		toastr.clear(); toastr.error('O CPF/CNPJ informado é INVÁLIDO! Por favor, insira um CPF/CNPJ válido.');
		return false;
	}
	<?php if ($sistema->indicacoes->permissao_cnpj_indicador == "1") {?>
	if(cpf.length > 11 & !valida_cnpj(cpf)){
		toastr.clear(); toastr.error('O CPF/CNPJ informado é INVÁLIDO! Por favor, insira um CPF/CNPJ válido.');
		return false;
	}
	<?php }?>
	return true;
}

function mascaraMutuario(o,f){
	v_obj=o
	v_fun=f
	setTimeout('execmascara()',1)
}

function execmascara(){
	v_obj.value=v_fun(v_obj.value)
}

function cpfCnpj(v){
	v=v.replace(/\D/g,"")
	<?php if ($sistema->indicacoes->permissao_cnpj_indicador == "1") {?> 
	if (v.length <= 11) {
		v=v.replace(/(\d{3})(\d)/,"$1.$2")
		v=v.replace(/(\d{3})(\d)/,"$1.$2")
		v=v.replace(/(\d{3})(\d{1,2})$/,"$1-$2")
	} else {
		v= v.length>14?v.substring(0,14):v;
		v=v.replace(/^(\d{2})(\d)/,"$1.$2")
		v=v.replace(/^(\d{2})\.(\d{3})(\d)/,"$1.$2.$3")
		v=v.replace(/\.(\d{3})(\d)/,".$1/$2")
		v=v.replace(/(\d{4})(\d)/,"$1-$2")

	}
	<?php } else {?>
	v= v.length>11?v.substring(0,11):v;
	v=v.replace(/(\d{3})(\d)/,"$1.$2")
	v=v.replace(/(\d{3})(\d)/,"$1.$2")
	v=v.replace(/(\d{3})(\d{1,2})$/,"$1-$2")
	<?php }?>
	return v
}